### Method

# ICalGLib Object add_depender

since: 1.0

#### Declaration [src]

    void
    i_cal_object_add_depender (
      ICalObject* iobject,
      GObject* depender
    )

#### Description [src]

Adds a `depender` into the list of objects which should not be destroyed before this `iobject`. It’s usually used for cases where the `iobject` uses native libical structure from the `depender`. The `depender` is referenced. It’s illegal to try to add one `depender` multiple times.

Available since: 1.0

#### Parameters

`depender`

  Type: `GObject`

  A `GObject` depender.

  The data is owned by the caller of the method.